Macros | Functions
example_processing_static_presence.c File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include "acc_config.h"`
`#include "acc_hal_definitions_a121.h"`
`#include "acc_hal_integration_a121.h"`
`#include "acc_integration_log.h"`
`#include "acc_rss_a121.h"`
`#include "acc_version.h"`
`#include "acc_processing_helpers.h"`

Go to the source code of this file.

## Macros
#define | SENSOR_ID (1U)
#define | SWEEPS_PER_FRAME 16
#define | PHASE_SPREAD_TRESHOLD (0.01f)

## Functions
static void | update_configuration (acc_config_t *config)
int | acconeer_main (int argc, char *argv[])
| Assembly test example. More...

## Macro Definition Documentation

## ◆ PHASE_SPREAD_TRESHOLD

#define PHASE_SPREAD_TRESHOLD (0.01f)

Examples
  example_processing_static_presence.c.

Definition at line 42 of file example_processing_static_presence.c.

## ◆ SENSOR_ID

#define SENSOR_ID (1U)

Examples
  example_processing_static_presence.c.

Definition at line 39 of file example_processing_static_presence.c.

## ◆ SWEEPS_PER_FRAME

#define SWEEPS_PER_FRAME 16

Examples
  example_processing_static_presence.c.

Definition at line 41 of file example_processing_static_presence.c.

## Function Documentation

## ◆ acconeer_main()

int acconeer_main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Assembly test example.

Surface velocity example application.

Tank level reference application.

Smart presence reference application.

Breathing example application.

Service subsweeps example.

Service multple configurations example.

Low power service example.

Service example.

Processing subtract adaptive background example.

Processing static presence example.

Processing peak interpolation example.

Processing noncoherent mean example.

Processing coherent mean example.

Processing amplitude example.

Detector presence example with multiple configurations.

Low power detector presence example.

Detector presence example.

Distance detector low power example.

Detector distance example.

Control helper example.

Returns
  Returns EXIT_SUCCESS if successful, otherwise EXIT_FAILURE

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Examples
  example_processing_static_presence.c.

Definition at line 51 of file example_processing_static_presence.c.

## ◆ update_configuration()

static void update_configuration | ( | acc_config_t * | config | ) |
| static

Examples
  example_processing_static_presence.c.

Definition at line 160 of file example_processing_static_presence.c.